Package org.eclipse.emf.cdo.explorer.checkouts

# Class ResourceSetConfigurer.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.explorer.checkouts.ResourceSetConfigurer.Factory

All Implemented Interfaces:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing interface:
  `ResourceSetConfigurer`

@Deprecated public abstract static class ResourceSetConfigurer.Factory extends org.eclipse.net4j.util.factory.Factory
Deprecated.
As of 4.7.1 use org.eclipse.emf.cdo.common.util.ResourceSetConfigurer.Factory

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`
Deprecated.

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory(String type)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`abstract ResourceSetConfigurer`
`create(String description)`
Deprecated.

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRODUCT_GROUP

@Deprecated public static final String PRODUCT_GROUP
Deprecated.

See Also:
  - Constant Field Values

## Constructor Details

### Factory

@Deprecated public Factory(String type)
Deprecated.

## Method Details

### create

@Deprecated public abstract ResourceSetConfigurer create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException
Deprecated.

Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`